WordPress.org

Forums

WP Customer Area
[resolved] Upgrade error (4 posts)

  1. thefutureisbright
    Member
    Posted 1 year ago #

    Hi, when I upgrade to the latest version of the plugin I get the following fatal error: Help!

    "Warning: require_once(/x/wp-content/plugins/customer-area/includes/addon.class.php) [function.require-once]: failed to open stream: No such file or directory in /x/wp-content/plugins/customer-area-collaboration/includes/collaboration/collaboration-addon.class.php on line 4

    Fatal error: require_once() [function.require]: Failed opening required 'x/wp-content/plugins/customer-area/includes/addon.class.php' (include_path='.:/usr/share/php:/usr/share/pear') in x/wp-content/plugins/customer-area-collaboration/includes/collaboration/collaboration-addon.class.php on line 4"

    Hosting on wpengine

    https://wordpress.org/plugins/customer-area/

  2. Vincent Mimoun-Prat
    Member
    Plugin Author

    Posted 1 year ago #

    Hi,

    That's because you did not read the update notices :)

    Here you go: http://customer-area.marvinlabs.com/documentation/updating-main-plugin-andor-add-ons/

  3. thefutureisbright
    Member
    Posted 1 year ago #

    ah so I should deactivate and update all add-ons, deactivate and update the main plugin and then activate the add-ons one by one?

    thanks
    Paul

  4. Vincent Mimoun-Prat
    Member
    Plugin Author

    Posted 1 year ago #

    Yep, deactivate everything, update all files, then activate main plugin, then each add-on.

    This is basically because add-ons depend on the main plugin, so if the main plugin has changed, the add-ons may be requesting something that is not there anymore (but the updated add-on takes that into account and that one works).

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • WP Customer Area
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic